package entity

type PopupNewsContents struct {
	ID               uint   `json:"id" gorm:"primaryKey;autoIncrement"`
	PrimaryTitle     string `json:"primary_title" gorm:"type:varchar(255)"`
	SecondaryTitle   string `json:"secondary_title" gorm:"type:varchar(255)"`
	Description      string `json:"description" gorm:"type:text"`
	PrimaryCTA       string `json:"primary_cta" gorm:"type:varchar(255)"`
	SecondaryCTAText string `json:"secondary_cta_text" gorm:"type:varchar(255)"`

	// 🔥 RELATION
	Images []PopupNewsContentImages `json:"images" gorm:"foreignKey:PopupNewsContentID"`
}

func (PopupNewsContents) TableName() string {
	return "popup_news_content"
}